CREATE TABLE `csa` (
`sid` INT NOT NULL default 0,
`seq` INT NOT NULL default 0,
`sub` INT NOT NULL default 0,
`wrds` VARCHAR( 200 ) NOT NULL default '',
`prod` VARCHAR( 100 ) NOT NULL default '',
`org` INT NOT NULL default 0,
`priority` INT NOT NULL default 0,
`assign_to` VARCHAR( 100 ) NOT NULL default '',
`del` INT NOT NULL default 0
) ENGINE = MYISAM ;

ALTER TABLE `reg` ADD `ip_addr` VARCHAR( 15 ) NOT NULL default '';
ALTER TABLE `chat` ADD `agent` VARCHAR( 100 ) NOT NULL default '';

ALTER TABLE `fr_cat` ADD `moderator` VARCHAR(100) NOT NULL DEFAULT '';

create index track_id on chat(track_id);
ALTER TABLE `site` ADD `chat_image_url` VARCHAR(200) NOT NULL DEFAULT '';
ALTER TABLE `usr` ADD `chat_image_url` VARCHAR(200) NOT NULL DEFAULT '';

ALTER TABLE `fr` ADD `rating` DOUBLE NOT NULL DEFAULT 0 ,ADD `rate_count` INT NOT NULL DEFAULT 0 ;

CREATE TABLE `perms` (
`sid` INT NOT NULL DEFAULT 0 ,
`objtype` INT NOT NULL DEFAULT 0 ,
`id` INT NOT NULL DEFAULT 0 ,
`pid` INT NOT NULL DEFAULT 0 
) ENGINE = MYISAM ;

RENAME TABLE `dl_prod` TO `products` ;
CREATE TABLE `products_usr` (
`sid` INT NOT NULL DEFAULT 0 ,
`pid` INT NOT NULL DEFAULT 0 ,
`uid` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
`dd` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
`dd2` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
`opt` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
PRIMARY KEY ( `sid`,`pid`,`uid` ) 
) ENGINE = MYISAM ;


ALTER TABLE `email` ADD `lang`  VARCHAR(100) NOT NULL DEFAULT '' ;
ALTER TABLE `reg` ADD `lang`  VARCHAR(100) NOT NULL DEFAULT '' ;
ALTER TABLE `fr` ADD `sticky` INT NOT NULL DEFAULT 0 ;

ALTER TABLE `notifications` ADD `ticket_id` VARCHAR( 20 ) NOT NULL DEFAULT '' ;
ALTER TABLE `reg` ADD `rate` INT NOT NULL DEFAULT 0 ;

ALTER TABLE `dl_cat` ADD `parent_id` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `dl_cat` ADD `pub` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `dl_cat` ADD `icon` VARCHAR(100) NOT NULL DEFAULT '' ;
ALTER TABLE `dl` ADD `related_ids` VARCHAR(100) NOT NULL DEFAULT '' ;
ALTER TABLE `dl` ADD `lng` VARCHAR(50) NOT NULL DEFAULT '' ;
CREATE TABLE IF NOT EXISTS `dl_cat_org` (`sid` int(11) NOT NULL DEFAULT 0,`pid` int(11) NOT NULL DEFAULT 0,`org` int(11) NOT NULL DEFAULT 0,PRIMARY KEY  (`sid`,`pid`,`org`)) ENGINE=MyISAM  ;

ALTER TABLE `kb` ADD `related_ids` VARCHAR( 100 ) NOT NULL DEFAULT '' ;
ALTER TABLE `kb` ADD `date2` DATE NOT NULL DEFAULT 0 ;
ALTER TABLE `kb` ADD `uid` VARCHAR( 100 ) NOT NULL DEFAULT '' ;

CREATE TABLE `trans` (
`sid` INT NOT NULL DEFAULT 0 ,
`type` INT NOT NULL DEFAULT 0 ,
`id` INT NOT NULL DEFAULT 0 ,
`lang` VARCHAR( 30 ) NOT NULL DEFAULT '' ,
`trans` TEXT NOT NULL DEFAULT '' 
) ENGINE = MYISAM ;
ALTER TABLE `trans` ADD PRIMARY KEY ( `sid` , `type` , `id`,`lang` ) ;


ALTER TABLE `usr` ADD `company` VARCHAR( 100 ) NOT NULL DEFAULT '' ;

ALTER TABLE `kb_cat` ADD `parent_id` INT NOT NULL DEFAULT 0 ;

ALTER TABLE `kb` ADD `lng` VARCHAR( 30 ) NOT NULL DEFAULT '' ;

ALTER TABLE `email` ADD `port` INT NOT NULL DEFAULT 0 AFTER `srv` ;

ALTER TABLE `site` ADD `ldap_host` VARCHAR( 100 ) NOT NULL DEFAULT '' , ADD `ldap_baseDN` VARCHAR( 100 ) NOT NULL DEFAULT '' ;

ALTER TABLE `reg` ADD `usrname` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ;

ALTER TABLE `org` ADD `notes` TEXT NOT NULL DEFAULT '' ;

ALTER TABLE `site` ADD `assigned_mail` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
ADD `reply_mail` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
ADD `closed_mail` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ;

CREATE TABLE `dep` (
`sid` INT NOT NULL DEFAULT 0 ,
`id` INT NOT NULL AUTO_INCREMENT ,
`n` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
`mgr` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
`pub` INT NOT NULL DEFAULT 0 ,
`cl` VARCHAR( 255) NOT NULL DEFAULT '' ,
PRIMARY KEY ( `sid`,`id` ) 
)ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;;

ALTER TABLE `dep` ADD `smtp_email` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ;

ALTER TABLE `email` ADD `uidls` TEXT NOT NULL DEFAULT '' ;
ALTER TABLE `email` ADD `leavemsgs` INT NOT NULL DEFAULT '0';
ALTER TABLE `comm` ADD `internal` INT NOT NULL DEFAULT '0';
ALTER TABLE `dl` CHANGE `title` `title` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `desc1` `desc1` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ;
ALTER TABLE `fr` CHANGE `title` `title` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `msg` `msg` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '';
ALTER TABLE `kb` CHANGE `title` `title` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `article` `article` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `keywords` `keywords` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '';

ALTER TABLE `nw` ADD `t1` VARCHAR(100) NOT NULL DEFAULT '';
ALTER TABLE `nw` ADD `h1` TEXT NOT NULL DEFAULT '';


ALTER TABLE `nw` CHANGE `title` `title` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `article` `article` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `h1` `h1` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' ,
CHANGE `t1` `t1` VARCHAR( 100 ) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '';

ALTER TABLE `site` ADD `opts` TEXT NOT NULL DEFAULT '' ;
ALTER TABLE `fr_cat` ADD `icon` VARCHAR( 255 ) NOT NULL DEFAULT '' ;
ALTER TABLE `site` ADD `nw_smtp_user` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
ADD `nw_smtp_pwd` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
ADD `nw_smtp_host` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
ADD `nw_smtp_name` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
ADD `nw_smtp_addr` VARCHAR( 100 ) NOT NULL DEFAULT '' ,
ADD `nw_smtp_replyto_addr` VARCHAR( 100 ) NOT NULL DEFAULT '' ;

ALTER TABLE `org` ADD `tel` VARCHAR( 100 ) NOT NULL DEFAULT '' , ADD `web` VARCHAR( 100 ) NOT NULL DEFAULT '' , ADD `email` VARCHAR( 100 ) NOT NULL DEFAULT '' ;
ALTER TABLE `usr` ADD `country` VARCHAR( 100 ) NOT NULL DEFAULT '' ,ADD `region` VARCHAR( 100 ) NOT NULL DEFAULT '' ,ADD `city` VARCHAR( 100 ) NOT NULL DEFAULT '' ,ADD `zip` VARCHAR( 100 ) NOT NULL DEFAULT '' ;
ALTER TABLE `email` ADD `receive_from` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `kb` ADD `fname` VARCHAR( 200 ) NOT NULL DEFAULT '' , ADD `size1` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `site` ADD `portal_text` TEXT NOT NULL DEFAULT '' ;
update site set portal_text='<h1>Welcome text here...</h1>' where portal_text='';
ALTER TABLE `site` ADD `tz` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `fr_cat_org` ADD `dep` VARCHAR(100) NOT NULL DEFAULT '' ;
ALTER TABLE `fr_cat_org` DROP PRIMARY KEY ,ADD PRIMARY KEY ( `sid` , `pid` , `org` , `dep` ) ;
ALTER TABLE `fr_cat` ADD `locked` INT NOT NULL DEFAULT 0 ;
ALTER TABLE `site` ADD `show_lang` INT NOT NULL  DEFAULT '1';
ALTER TABLE `fr` ADD `locked` INT NOT NULL DEFAULT 0 ;
